--[[----------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2020 Adobe
All Rights Reserved.

NOTICE: All information contained herein is, and remains
the property of Adobe and its suppliers, if any. The intellectual
and technical concepts contained herein are proprietary to Adobe
and its suppliers and are protected by all applicable intellectual
property laws, including trade secret and copyright laws.
Dissemination of this information or reproduction of this material
is strictly forbidden unless prior written permission is obtained
from Adobe.

------------------------------------------------------------------------------]]

	-- WF.oz_client.managed_catalog
local WFCatPhotoImportance = require 'WFCatPhotoImportance'

	-- WF.core.models
local WFModelsUtils = require 'WFModelsUtils'

--------------------------------------------------------------------------------

local LrmUploadPriorityModelImp = {}

--==============================================================================

function LrmUploadPriorityModelImp:flagUploadAsHighPriority( assetId, isTimeCritical )

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream, 
			WFCatPhotoImportance.increaseUploadPriorityForAsset, assetId, isTimeCritical )
		
end

--------------------------------------------------------------------------------

function LrmUploadPriorityModelImp:removeHighPriorityUploadFlag( assetId )

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream, 
			WFCatPhotoImportance.removeUploadPriorityModifier, assetId )
		
end

--------------------------------------------------------------------------------

return LrmUploadPriorityModelImp
